Meta
Liveness probe
GET
/health
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.kirim.chat/v1/health"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.kirim.chat/v1/health';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.kirim.chat/v1/health";
let client = reqwest::Client::new(); let response = client.get(url) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request GET \ --url https://api.kirim.chat/v1/healthUnauthenticated health check. Returns 200 if the API is up.
Responses
Section titled “ Responses ”API is healthy
Media type application/json
object
data
required
object
status
required
string
request_id
required
string
Example
{ "data": { "status": "ok" }}